// UVa 147
// Programmation dynamique : on calcule dans tableau[i][j] le nombre de faons
// de payer 0.05*j avec des pices de valeur au plus la i-me pice
// (0 <= i < 11). On met  jour le tableau suivant l'ordre [0][0], ...,
// [0,n-1], [1,0], ..., [1,n-1], [2,0], ...
// Il faut prendre garde au dpassement de capacit : on stocke chaque valeur
// par un int64 (include <stdint.h>)

#include <stdio.h>
#include <stdlib.h>
#include <iostream>
#include <stdint.h>
#include <iomanip.h>

int main()
{
  int64_t tableau[11][6001];

  int pieces[11] = {1, 2, 4, 10, 20, 40, 100, 200, 400, 1000, 2000};

  float v;

  int n = 6001;
  int64_t k;

  for (int j=0;j<n;++j)
    tableau[0][j] = 1;
      
  for (int i=1; i<11; ++i)
    for (int j=0;j<n;++j)
      {
	if (j<pieces[i])
	  k = 0;
	else
	  k = tableau[i][j-pieces[i]];
	tableau[i][j] = tableau[i-1][j]+k;
      }

  std::cin >> v;

  while (v != 0)
    {

      n = 1+(int)(v/.05+.1);

      printf("%6.2f", v);

      std::cout << setw(17) << tableau[10][n-1] << std::endl;
      
      std::cin >> v;
    }

}
